> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Create a person without a contract

POST https://api.letsdeel.com/rest/pwac
Content-Type: application/json

Adds a person record in Deel's HRIS without an associated employment contract. It creates a people-only record, allowing you to track individuals in your organization's directory before or without formalizing an employment or agreement. Suitable for pre-boarding, contingent workers, or other scenarios where a contract is not yet applicable.

 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/reference/endpoints/people/create-person-without-contract

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (PwacPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 201

Successful operation.

- `data` (PwacPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `error` (PwacPostResponsesContentApplicationJsonSchemaError, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `error` (PwacPostResponsesContentApplicationJsonSchemaError, required)

## Types

### PwacPostRequestBodyContentApplicationJsonSchemaData

- `client` (PwacPostRequestBodyContentApplicationJsonSchemaDataClient, required)
- `person` (PwacPostRequestBodyContentApplicationJsonSchemaDataPerson, required) — The person that is being hired
- `invitation` (PwacPostRequestBodyContentApplicationJsonSchemaDataInvitation, optional) — Optional invitation configuration for the new hire. Defaults to 'disable' if not provided.

### PwacPostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — The id of the person
- `person` (PwacPostResponsesContentApplicationJsonSchemaDataPerson, required) — The person that is being hired

### PwacPostResponsesContentApplicationJsonSchemaError

- `code` (string, required) — Error code identifying the type of error
- `message` (string, required) — Human readable error message

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PwacPostRequestBodyContentApplicationJsonSchemaDataClient

- `team` (PwacPostRequestBodyContentApplicationJsonSchemaDataClientTeam, required)
- `legal_entity` (PwacPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity, required)
- `department` (PwacPostRequestBodyContentApplicationJsonSchemaDataClientDepartment, optional)

### PwacPostRequestBodyContentApplicationJsonSchemaDataPerson

The person that is being hired

- `email` (string, required) — The personal email of the person being hired
- `last_name` (string, required) — The last name of the person being hired
- `first_name` (string, required) — The first name of the person being hired
- `start_date` (string, required) — The start date of the person being hired
- `state` (string, optional) — The state of the person being hired
- `country` (string, optional) — The country of the person being hired
- `end_date` (string, optional) — The end date of the person being hired
- `job_title` (string, optional) — The job title of the person being hired
- `seniority` (string, optional) — The seniority of the person being hired
- `work_email` (string, optional) — The work email of the person being hired
- `external_id` (string, optional) — An external identifier for the person being hired
- `nationality` (string, optional) — The nationality of the person being hired
- `preferred_last_name` (string, optional) — The preferred last name of the person being hired
- `preferred_first_name` (string, optional) — The preferred first name of the person being hired

### PwacPostRequestBodyContentApplicationJsonSchemaDataInvitation

Optional invitation configuration for the new hire. Defaults to 'disable' if not provided.

- `action` (enum, optional) — Controls whether to send an invitation email.
  - Allowed values: `DISABLE`, `IMMEDIATE`

### PwacPostResponsesContentApplicationJsonSchemaDataPerson

The person that is being hired

- `email` (string, required) — The personal email of the person being hired
- `last_name` (string, required) — The last name of the person being hired
- `first_name` (string, required) — The first name of the person being hired
- `start_date` (string, required) — The start date of the person being hired
- `state` (string, optional) — The state of the person being hired
- `country` (string, optional) — The country of the person being hired
- `end_date` (string, optional, nullable) — The end date of the person being hired
- `job_title` (string, optional) — The job title of the person being hired
- `seniority` (string, optional) — The seniority of the person being hired
- `worker_id` (double, optional) — The worker ID of the person being hired
- `work_email` (string, optional) — The work email of the person being hired
- `external_id` (string, optional, nullable) — An external identifier for the person being hired
- `nationality` (string, optional) — The nationality of the person being hired

### PwacPostRequestBodyContentApplicationJsonSchemaDataClientTeam

- `id` (string, required) — The team that the person is part of
- `direct_manager_id` (string, optional) — The direct manager of the person
- `direct_reports_ids` (list of string, optional) — The direct reports of the person

### PwacPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity

- `id` (string, required) — The legal entity that the person is part of

### PwacPostRequestBodyContentApplicationJsonSchemaDataClientDepartment

- `id` (string, required) — The department that the person is part of

## Examples

**Request**

```json
{
  "data": {
    "client": {
      "team": {
        "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"
      },
      "legal_entity": {
        "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"
      }
    },
    "person": {
      "email": "email@email.com",
      "last_name": "Doe",
      "first_name": "John",
      "start_date": "2020-01-01"
    }
  }
}
```

**Response**

```json
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "person": {
      "email": "email@email.com",
      "last_name": "Doe",
      "first_name": "John",
      "start_date": "2020-01-01"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/pwac"

payload = { "data": {
        "client": {
            "team": { "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e" },
            "legal_entity": { "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d" }
        },
        "person": {
            "email": "email@email.com",
            "last_name": "Doe",
            "first_name": "John",
            "start_date": "2020-01-01"
        }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/pwac';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"client":{"team":{"id":"cbb25647-31e0-485d-9d5f-bdd48296aa1e"},"legal_entity":{"id":"cfebc769-abe9-4646-83b9-28cf79f23a0d"}},"person":{"email":"email@email.com","last_name":"Doe","first_name":"John","start_date":"2020-01-01"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/pwac"

	payload := strings.NewReader("{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/pwac")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/pwac")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/pwac', [
  'body' => '{
  "data": {
    "client": {
      "team": {
        "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"
      },
      "legal_entity": {
        "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"
      }
    },
    "person": {
      "email": "email@email.com",
      "last_name": "Doe",
      "first_name": "John",
      "start_date": "2020-01-01"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/pwac");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "client": [
      "team": ["id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"],
      "legal_entity": ["id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"]
    ],
    "person": [
      "email": "email@email.com",
      "last_name": "Doe",
      "first_name": "John",
      "start_date": "2020-01-01"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/pwac")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```